# Copyright © 2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=8

PYTHON_COMPAT=( python3_{9..11} )

inherit distutils-r1

MY_PN=${PN/-/_}
MY_P=$MY_PN-$PV

DESCRIPTION="Library for building powerful interactive command lines in Python"
HOMEPAGE="https://github.com/prompt-toolkit/python-prompt-toolkit https://pypi.org/project/prompt_toolkit/"
SRC_URI="mirror://pypi/${PN:0:1}/$PN/$MY_P.tar.gz"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"

RDEPEND="dev-python/six[$PYTHON_USEDEP]
	dev-python/wcwidth[$PYTHON_USEDEP]"

S=$WORKDIR/$MY_P

distutils_enable_tests pytest
